## js8call 2.1.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBoost_INCLUDE_DIR=/usr/include \
		-Dhamlib_LIBRARY_DIRS=/usr/lib

%:
	dh $@
