=== debian/changelog ===
js8call (2.1.1+ds-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:48 +0100

js8call (2.1.1+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 17:52:37 +0100

js8call (2.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #946627)

 -- Christoph Berg <myon@debian.org>  Mon, 23 Dec 2019 23:03:08 +0100
