## js8call 2.2.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# hamlib 3: use older definitions of RIG and vfo_t
+#DPKG_EXPORT_BUILDFLAGS = 1
+#include /usr/share/dpkg/buildflags.mk
+#CXXFLAGS += -DJS8_USE_HAMLIB_THREE
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
