## js8call 2.2.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -180,6 +180,7 @@
   NetworkMessage.cpp
   Message.cpp
   MessageClient.cpp
+  MessageServer.cpp
   TCPClient.cpp
   LettersSpinBox.cpp
   HintedSpinBox.cpp
@@ -214,6 +215,7 @@
   logbook/countrydat.cpp
   logbook/countriesworked.cpp
   logbook/logbook.cpp
+  fileutils.cpp
   psk_reporter.cpp
   Modulator.cpp
   Detector.cpp
@@ -228,9 +230,7 @@
   plotter.cpp
   widegraph.cpp
   about.cpp
-  astro.cpp
   messageaveraging.cpp
-  WsprTxScheduler.cpp
   varicode.cpp
   jsc.cpp
   jsc_list.cpp
@@ -246,8 +246,6 @@
   mainwindow.cpp
   Configuration.cpp
   main.cpp
-  wsprnet.cpp
-  WSPRBandHopping.cpp
   TransmitTextEdit.cpp
   WaveUtils.cpp
   WaveFile.cpp
@@ -285,11 +283,6 @@
   lib/fftw3mod.f90
   lib/hashing.f90
   lib/iso_c_utilities.f90
-  lib/jt4.f90
-  lib/jt4_decode.f90
-  lib/jt65_decode.f90
-  lib/jt65_mod.f90
-  lib/jt9_decode.f90
   lib/options.f90
   lib/packjt.f90
   lib/readwav.f90
@@ -309,161 +302,161 @@
   lib/js8i_decode.f90
 
   # remaining non-module sources
-  lib/addit.f90
-  lib/afc65b.f90
-  lib/afc9.f90
-  lib/ana64.f90
-  lib/ana932.f90
-  lib/analytic.f90
-  lib/astro.f90
-  lib/astrosub.f90
-  lib/astro0.f90
-  lib/averms.f90
   lib/azdist.f90
-  lib/badmsg.f90
-  lib/bpdecode40.f90
-  lib/bpdecode144.f90
   lib/ft8/bpdecode174.f90
   lib/baddata.f90
-  lib/calibrate.f90
-  lib/ccf2.f90
-  lib/ccf65.f90
   lib/ft8/chkcrc12a.f90
-  lib/chkcall.f90
-  lib/chkhist.f90
   lib/chkmsg.f90
-  lib/chkss2.f90
   lib/ft8/compress.f90
   lib/coord.f90
   lib/db.f90
-  lib/decode4.f90
-  lib/decode65a.f90
-  lib/decode65b.f90
-  lib/decode9w.f90
   lib/decoder.f90
-  lib/deep4.f90
   lib/deg2grid.f90
   lib/degrade_snr.f90
-  lib/demod64a.f90
   lib/determ.f90
-  lib/downsam9.f90
-  lib/encode232.f90
-  lib/encode4.f90
-  lib/encode_msk40.f90
-  lib/encode_msk144.f90
   lib/ft8/encode174.f90
-  lib/entail.f90
-  lib/ephem.f90
-  lib/extract.f90
-  lib/extract4.f90
-  lib/extractmessage144.f90
   lib/ft8/extractmessage174.f90
-  lib/fano232.f90
-  lib/fast9.f90
-  lib/fchisq.f90
-  lib/fchisq0.f90
-  lib/fchisq65.f90
-  lib/fil3.f90
-  lib/fil3c.f90
   lib/fil4.f90
-  lib/fil6521.f90
   lib/filbig.f90
   lib/ft8/filt8.f90
-  lib/fitcal.f90
   lib/flat1.f90
   lib/flat1a.f90
   lib/flat1b.f90
-  lib/flat2.f90
   lib/flat4.f90
-  lib/flat65.f90
   lib/fmtmsg.f90
-  lib/foldspec9f.f90
   lib/four2a.f90
   lib/ft8/foxfilt.f90
   lib/ft8/foxgen.f90
   lib/ft8/foxgen_wrap.f90
-  lib/fqso_first.f90
-  lib/freqcal.f90
-  lib/ft8/ft8apset.f90
-  lib/ft8/genft8.f90
   lib/js8/genjs8.f90
   lib/geodist.f90
-  lib/getlags.f90
-  lib/getmet4.f90
-  lib/graycode.f90
-  lib/graycode65.f90
-  lib/grayline.f90
   lib/grid2deg.f90
   lib/ft8/h1.f90
   lib/hash.f90
-  lib/hint65.f90
   lib/indexx.f90
   lib/init_random_seed.f90
-  lib/interleave4.f90
-  lib/interleave63.f90
-  lib/interleave9.f90
-  lib/inter_wspr.f90
-  lib/iscat.f90
-  lib/jplsubs.f
-  lib/jt9fano.f90
-  lib/jtmsg.f90
   lib/js8/ldpcsim174js8a.f90
   lib/js8/ldpcsim174js8b.f90
   lib/js8/ldpcsim174js8c.f90
   lib/js8/ldpcsim174js8e.f90
   lib/js8/ldpcsim174js8i.f90
-  lib/ldpcsim40.f90
-  lib/libration.f90
-  lib/lorentzian.f90
-  lib/lpf1.f90
-  lib/mixlpf.f90
-  lib/makepings.f90
-  lib/moondopjpl.f90
   lib/morse.f90
   lib/move.f90
   lib/ft8/osd174.f90
   lib/pctile.f90
-  lib/peakdt9.f90
-  lib/peakup.f90
   lib/plotsave.f90
   lib/polyfit.f90
   lib/prog_args.f90
-  lib/ps4.f90
-  lib/qra64a.f90
   lib/refspectrum.f90
   lib/savec2.f90
   lib/sec_midn.f90
-  lib/setup65.f90
-  lib/sh65.f90
-  lib/sh65snr.f90
-  lib/slasubs.f
   lib/sleep_msec.f90
-  lib/slope.f90
   lib/smo.f90
   lib/smo121.f90
-  lib/softsym.f90
-  lib/softsym9f.f90
-  lib/softsym9w.f90
   lib/shell.f90
-  lib/spec64.f90
-  lib/spec9f.f90
   lib/stdmsg.f90
-  lib/subtract65.f90
-  lib/sun.f90
   lib/symspec.f90
-  lib/symspec2.f90
-  lib/symspec65.f90
-  lib/sync4.f90
-  lib/sync64.f90
-  lib/sync65.f90
-  lib/sync9.f90
-  lib/sync9f.f90
-  lib/sync9w.f90
-  lib/synciscat.f90
   lib/timf2.f90
-  lib/to_contest_msg.f90
-  lib/tweak1.f90
   lib/twkfreq.f90
   lib/ft8/twkfreq1.f90
-  lib/twkfreq65.f90
-  lib/unpackmsg144.f90
+  lib/wav12.f90
+  )
+
+# temporary workaround for a gfortran v7.3 ICE on Fedora 27 64-bit
+
+set (sqlite3_CSRCS
+  vendor/sqlite3/sqlite3.c
+  )
+
+set (wsjt_CSRCS
+  lib/gran.c
+  lib/init_random_seed.c
+  lib/ldpc32_table.c
+  lib/nhash.c
+  lib/tab.c
+  lib/usleep.c
+  lib/wisdom.c
+  ${ldpc_CSRCS}
+  )
+
+set (wsjt_qt_UISRCS
+  wf_palette_design_dialog.ui
+  )
+
+set (wsjtx_UISRCS
+  mainwindow.ui
+  messagewindow.ui
+  about.ui
+  messageaveraging.ui
+  widegraph.ui
+  logqso.ui
+  Configuration.ui
+  messagereplydialog.ui
+  )
+
+set (qcp_CXXSRCS
+  qcustomplot-source/qcustomplot.cpp
+  )
+
+set (all_CXXSRCS
+  ${wsjt_CXXSRCS}
+  ${wsjt_qt_CXXSRCS}
+  ${wsjt_qtmm_CXXSRCS}
+  ${js8_CXXSRCS}
+  ${wsjtx_CXXSRCS}
+  ${qcp_CXXSRCS}
+  )
+
+set (all_C_and_CXXSRCS
+  ${sqlite3_CSRCS}
+  ${wsjt_CSRCS}
+  ${all_CXXSRCS}
+  )
+
+set (TOP_LEVEL_RESOURCES
+  cty.dat
+  icons/Darwin/JS8Call.iconset/icon_128x128.png
+  contrib/gpl-v3-logo.svg
+  artwork/splash.png
+  )
+
+set (PALETTE_FILES
+  Palettes/Banana.pal
+  Palettes/Blue1.pal
+  Palettes/Blue2.pal
+  Palettes/Blue3.pal
+  Palettes/Brown.pal
+  Palettes/Cyan1.pal
+  Palettes/Cyan2.pal
+  Palettes/Cyan3.pal
+  Palettes/Default.pal
+  Palettes/Digipan.pal
+  Palettes/Fldigi.pal
+  Palettes/Gray1.pal
+  Palettes/Gray2.pal
+  Palettes/Green1.pal
+  Palettes/Green2.pal
+  Palettes/Jungle.pal
+  Palettes/Linrad.pal
+  Palettes/Negative.pal
+  Palettes/Orange.pal
+  Palettes/Pink.pal
+  Palettes/Rainbow.pal
+  Palettes/Scope.pal
+  Palettes/Sunburst.pal
+  Palettes/VK4BDJ.pal
+  Palettes/YL2KF.pal
+  Palettes/Yellow1.pal
+  Palettes/Yellow2.pal
+  Palettes/ZL1FZ.pal
+)
+
+if (APPLE)
+  set (WSJTX_ICON_FILE ${CMAKE_PROJECT_NAME}.icns)
+  set (ICONSRCS
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_16x16.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_16x16@2x.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_32x32.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_32x32@2x.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_128x128.png
+    icons/Darwin/${CMAKE_PROJECT_NAME}.iconset/icon_128x128@2x.png
