=== debian/changelog ===
js8call (2.2.0+ds-6) unstable; urgency=medium

  * Set -DCMAKE_POLICY_VERSION_MINIMUM=3.5. (Closes: #1113061)
  * Re-enable LTO. (Closes: #1015431)

 -- Christoph Berg <myon@debian.org>  Mon, 01 Sep 2025 10:38:33 +0200

js8call (2.2.0+ds-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libhamlib-dev.

  [ Christoph Berg ]
  * Build against qcustomplot 2.1.0. (Closes: #1024101)

 -- Christoph Berg <myon@debian.org>  Wed, 23 Nov 2022 11:20:46 +0100

js8call (2.2.0+ds-4) unstable; urgency=medium

  * Depend on libqt5multimedia5-plugins, spotted by Ryan Kavanagh, thanks!
    (Closes: 1021268)

 -- Christoph Berg <myon@debian.org>  Fri, 07 Oct 2022 16:35:30 +0200

js8call (2.2.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat 13
  * Explicitly build with LTO disabled (See: #1015431)
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 07 Aug 2022 13:32:42 -0700

js8call (2.2.0+ds-2) unstable; urgency=medium

  * Use hamlib 4.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Jan 2021 10:48:01 +0100

js8call (2.2.0+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #964016)
  * Set JS8_USE_HAMLIB_THREE. (Fixes FTBFS with gcc 10, Closes: #957387)

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jul 2020 17:11:13 +0200
