=== debian/control ===
Source: js8call
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gfortran,
 libboost-dev,
# TODO: why libegl1?
 libegl-dev,
 libfftw3-dev,
 libhamlib-dev,
 libqcustomplot-dev,
 libqt5serialport5-dev,
 libsqlite3-dev,
 libudev-dev,
 qtmultimedia5-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/js8call
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/js8call.git
Homepage: http://js8call.com/
Rules-Requires-Root: no

Package: js8call
Architecture: linux-any
Depends:
 libhamlib-utils,
 libqt5multimedia5-plugins,
 wsjtx-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Amateur Radio Digital Mode providing weak signal messaging
 JS8Call is using the JS8 Digital Mode for providing weak signal keyboard to
 keyboard messaging to Amateur Radio Operators.
 .
 JS8Call is an experiment to test the feasibility of a digital mode with the
 robustness of FT8, combined with a messaging and network protocol layer for
 weak signal communication on HF, using a keyboard messaging style interface.
 It is not designed for any specific purpose other than connecting amateur
 radio operators who are operating under weak signal conditions. JS8Call is
 heavily inspired by WSJT-X, Fldigi, and FSQCall and would not exist without
 the hard work and dedication of the many developers in the amateur radio
 community.
