=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBoost_INCLUDE_DIR=/usr/include \
		-Dhamlib_LIBRARY_DIRS=/usr/lib

%:
	dh $@
