=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds" \
http://files.js8call.com/latest.html .*/js8call-(.*).tgz
