## js8call 2.5.0+ds

=== debian/changelog ===
js8call (2.5.0+ds-1) unstable; urgency=medium

  * New upstream version 2.5.0+ds from
    https://github.com/JS8Call-improved/JS8Call-improved/.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Jan 2026 21:29:28 +0100
