=== debian/changelog ===
js8call (2.5.1+ds-1) unstable; urgency=medium

  * New upstream version 2.5.1+ds.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2026 01:40:38 +0100
