## js8call 2.5.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,8 +67,7 @@
 set(PROJECT_HOMEPAGE https://groups.io/g/js8call)
 set(PROJECT_SUMMARY_DESCRIPTION "${PROJECT_NAME} - Digital Modes for Weak Signal Communications in Amateur Radio.")
 set(PROJECT_DESCRIPTION "${PROJECT_SUMMARY_DESCRIPTION}
- ${PROJECT_NAME} is a computer program designed to facilitate amateur
- radio communication using very weak signals.")
+ ${PROJECT_NAME} facilitates amateur radio automatic beaconing and signal reports with messaging capability.")
 
 #------------------------------------------------------------------------------#
 # Add our own CMake modules.
@@ -174,7 +173,7 @@
 set_target_properties(
   ${TARGET} PROPERTIES
   MACOSX_BUNDLE_INFO_PLIST             "${CMAKE_CURRENT_SOURCE_DIR}/Darwin/Info.plist.in"
-  MACOSX_BUNDLE_INFO_STRING            "JS8 mode providing weak signal communications for Amateur Radio"
+  MACOSX_BUNDLE_INFO_STRING            "JS8Call facilitates amateur radio automatic beaconing and signal reports with messaging capability."
   MACOSX_BUNDLE_ICON_FILE              "${ICON_FILE}"
   MACOSX_BUNDLE_BUNDLE_VERSION         "${wsjtx_VERSION}"
   MACOSX_BUNDLE_SHORT_VERSION_STRING   "${wsjtx_SHORT_VERSION}"
@@ -345,5 +344,3 @@
   PREFIX   "/Palettes"
   FILES
   Palettes/Banana.pal
-  Palettes/Blue1.pal
-  Palettes/Blue2.pal
