=== debian/changelog ===
js8call (2.5.2+ds-1) unstable; urgency=medium

  * New upstream version 2.5.2+ds.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Feb 2026 18:58:34 +0100
