=== debian/control ===
--- 
+++ 
@@ -7,18 +7,15 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- gfortran,
  libboost-dev,
-# TODO: why libegl1?
- libegl-dev,
+ libeigen3-dev,
  libfftw3-dev,
  libhamlib-dev,
- libqcustomplot-dev,
- libqt5serialport5-dev,
+ qt6-multimedia-dev,
+ qt6-serialport-dev,
  libsqlite3-dev,
  libudev-dev,
- qtmultimedia5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/js8call
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/js8call.git
 Homepage: http://js8call.com/
