=== debian/watch ===
Version: 5

Source: https://github.com/JS8Call-improved/JS8Call-improved/tags
Matching-Pattern: .*/@ANY_VERSION@.tar.gz
Dversionmangle: s/\+ds//
Repacksuffix: +ds
